////////////////////////////////////////////////////////////////////////////////
/**
 *  \file     customgraphicsview.h
 *  \version  v1.0
 *  \author   Ing. Dominik Malcik
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef CUSTOMGRAPHICSVIEW_H
#define CUSTOMGRAPHICSVIEW_H

#include <QGraphicsView>
#include <QMouseEvent>

class CustomGraphicsView : public QGraphicsView
{
    Q_OBJECT
public:
    void mousePressEvent(QMouseEvent *event);

signals:
    void colorPickerPosition(int, int);

public slots:

};

#endif // CUSTOMGRAPHICSVIEW_H
