TEMPLATE = app
TARGET = microAnalyzer
DEPENDPATH += .

# OpenCV
LIBS += -lopencv_core -lopencv_imgproc -lboost_system

INCLUDEPATH += .

QT += widgets
QT += xml

# Input
HEADERS += layerrecord.h \
           mainwindow.h \
           project.h \
           projectwizard.h \
           ./libs/staticsingleton.h \
           tableformat.h \
           xmlparser.h \
           opencvprocessor.h \
           layercomposer.h \
           customgraphicsview.h
    

FORMS += mainwindow.ui
SOURCES += layerrecord.cpp \
           main.cpp \
           mainwindow.cpp \
           project.cpp \
           projectwizard.cpp \
           tableformat.cpp \
           xmlparser.cpp \
           opencvprocessor.cpp \
           layercomposer.cpp \
           customgraphicsview.cpp

RC_FILE = microAnalyzer.rc
